Folks.PhoneDetails.change_phone_numbers – folks Reference Manual

# change_phone_numbers

## Description:

public virtual async void change_phone_numbers (Set<PhoneFieldDetails> phone_numbers) throws PropertyError

Change the contact's phone numbers.

It's preferred to call this rather than setting PhoneDetails.phone_numbers directly, as this method gives error notification and will only return once the phone numbers have been written to the relevant backing store (or the operation's failed).

## Parameters:

phone_numbers | the set of phone numbers

## Exceptions:

PropertyError | if setting the phone numbers failed

## Since:

0.6.2